<?php
include("acesso/config.php");

if ($_GET[id]!='') {
$query = "SELECT * FROM bnr_ban_imagens  WHERE id = $_GET[id]";
$consulta = mysqli_query($conn, $query);
$linha = mysqli_fetch_array($consulta);

$linha['clicks'] += 1;

// adiciona mais 1 ao campo clicks
$update = "UPDATE bnr_ban_imagens SET clicks=". addslashes($linha['clicks']) ." WHERE id=". addslashes($linha['id']) ."";
mysqli_query($conn, $update);

// adiciona a data do click
$up = "INSERT INTO bnr_rel_banner_clicks SET id_banner = ". addslashes($linha['id']) ." , data_click = NOW()";
mysqli_query($conn, $up);

mysqli_close($conn);

// redireciona para página alvo do banner
header("Location: $linha[3]");
}
?>